Subject: [mpls] [MPLS] Any comments on the draft of MPLS-TP Shared-Ring protection (MSRP) mechanism for ring topology” ?

From: weiqiang cheng <[email-masked]>
Date: Wed, 9 Jul 2014 18:41:01 +0800

Hi There,

We uploaded the new version draft “MPLS-TP Shared-Ring protection
(MSRP) mechanism for ring topology”

https://datatracker.ietf.org/doc/draft-cheng-mpls-tp-shared-ring-protection/

We authors would like to see comments on this draft. Please help to
review it and It would be highly appreciated to send your comments on
the mailing list.

Thanks,

Weiqiang Cheng

---

From: 曾峻波 <[email-masked]>
Date: Wed, 9 Jul 2014 19:07:52 +0800

hi,Weiqiang Cheng
      i have some question about the "draft-cheng-mpls-tp-shared-ring-protection-02".
  1.  the different between "normal wrapping" and "P2P shout wrapping".
  2.  can i use the RING APS protocol defined in G.8132 to implement the scheme of this document.
  3.  for the 'dual-node interconnected rings', there must be the same forwarding information between node C and node D in figure 11?

Best Regards! 
BoBo

Date: Wed, 9 Jul 2014 18:41:01 +0800
From: [email-masked]
To: [email-masked]
CC: [email-masked]
Subject: [mpls] [MPLS] Any comments on the draft of MPLS-TP Shared-Ring protection (MSRP) mechanism for ring topology” ?

Hi There,We uploaded the new version draft “MPLS-TP Shared-Ring protection (MSRP) mechanism for ring topology”
https://datatracker.ietf.org/doc/draft-cheng-mpls-tp-shared-ring-protection/We authors would like to see comments on this draft. Please help to review it and It would be highly appreciated to send your comments on the mailing list.
 Thanks,Weiqiang Cheng

_______________________________________________
mpls mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls

---

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Wed, 9 Jul 2014 11:10:23 +0000

Dear authors,

I have one quick comment on this draft:

Since we have Linear Protection (PSC) and the work being done on Shared Mesh Protection, do we need dedicated protection solution for ring topology?

Best regards,
Jie

From: mpls [mailto:[email-masked]] On Behalf Of weiqiang cheng
Sent: Wednesday, July 09, 2014 6:41 PM
To: [email-masked]
Cc: [email-masked]
Subject: [mpls] [MPLS] Any comments on the draft of MPLS-TP Shared-Ring protection (MSRP) mechanism for ring topology” ?

Hi There,

We uploaded the new version draft “MPLS-TP Shared-Ring protection (MSRP) mechanism for ring topology”

We authors would like to see comments on this draft. Please help to review it and It would be highly appreciated to send your comments on the mailing list.

Thanks,

Weiqiang Cheng

---

From: weiqiang cheng <[email-masked]>
Date: Wed, 9 Jul 2014 20:04:13 +0800

HI Bobo,

Thanks a lot for your questions. please see my answer in line:

[WQ]: In Normal wrapping, protection switching executes at both nodes
neighbored failure respectively,so the  traffic will be wrapped twice. For
Short wrapping protection, switching only executes at up-stream node which
neighbored to failure,the destination node will extract the flow from the
protection ring directly.This scheme can optimize latency and bandwidth.

2.  can i use the RING APS protocol defined in G.8132 to implement the
scheme of this document.

[WQ]: As I know G.8132 is a draft in ITU-T and ITU-T seams no release plan
for it now. The principle is similar. But this draft's ring construction is
totally different from G.8132.

3.  for the 'dual-node interconnected rings', there must be the same
forwarding information between node C and node D in figure 11?

[WQ]: Yes, Node C and Node D should sync the forwarding information of LSPs
that traverse the interconnected rings, so that both interconnection nodes
can terminate the source ring runnel and forward it to the correct
destination ring tunnel in interconnected ring.

B.R.
Weiqiang Cheng

2014-07-09 19:07 GMT+08:00 曾峻波 <[email-masked]>:

> hi,Weiqiang Cheng
>       i have some question about the
> "draft-cheng-mpls-tp-shared-ring-protection-02".
>   3.  for the 'dual-node interconnected rings', there must be the same
> forwarding information between node C and node D in figure 11?
>
> Best Regards!
> BoBo
>
>
> ------------------------------
> Subject: [mpls] [MPLS] Any comments on the draft of MPLS-TP Shared-Ring
> protection (MSRP) mechanism for ring topology” ?
>
>
> Hi There,
>
> _______________________________________________ mpls mailing list
> [email-masked] https://www.ietf.org/mailman/listinfo/mpls
>

---

From: "[email-masked]" <[email-masked]>
Date: Wed, 9 Jul 2014 14:51:58 +0200

Hi Wei qiang,
 
I have a comment on the "RPS request code" in 3.1.2  RPS PDU structure. Could MSRP be extended to support "Signal Degrade (SD)" as a trigger condition? 
 
2014-07-09

Best Regards
LI Fang

发件人： weiqiang cheng
发送时间： 2014-07-09 12:41
收件人： [email-masked]
抄送： [email-masked]
主题： [mpls][MPLS] Any comments on the draft of MPLS-TP Shared-Ring protection (MSRP) mechanism for ring topology” ?
 
Hi There,We uploaded the new version draft “MPLS-TP Shared-Ring protection (MSRP) mechanism for ring topology”https://datatracker.ietf.org/doc/draft-cheng-mpls-tp-shared-ring-protection/We authors would like to see comments on this draft. Please help to review it and It would be highly appreciated to send your comments on the mailing list. Thanks,Weiqiang Cheng

---

From: Huub van Helvoort <[email-masked]>
Date: Wed, 09 Jul 2014 21:58:53 +0200

Hello Fang,

You wrote:

> I have a comment on the "RPS request code" in 3.1.2  RPS PDU structure.
> Could MSRP be extended to support "Signal Degrade (SD)" as a trigger
> condition?

Yes, the SD trigger condition can be added similar to other APS based
protection protocols.

Best regards, Huub.

> *发件人：* weiqiang cheng <mailto:[email-masked]>
> *发送时间：* 2014-07-09 12:41
> *收件人：* [email-masked] <mailto:[email-masked]>
> *抄送：* [email-masked]
> <mailto:[email-masked]>
> *主题：* [mpls][MPLS] Any comments on the draft of MPLS-TP Shared-Ring
> We uploaded the new version draft“MPLS-TP Shared-Ring protection (MSRP) mechanism for ring topology”
>

-- 
*****************************************************************
               请记住，你是独一无二的，就像其他每一个人一样

---

From: weiqiang cheng <[email-masked]>
Date: Thu, 10 Jul 2014 12:57:52 +0800

Hi Jie,
Thanks for your comments.

MPLS-TP based networks are usually constructed with multiple-ring
topology.In some failure scenarios, linear protection such as PSC cannot
cover the multi-failure issue.In addition,for many application scenarios
such as mobile backhaul,a large number of services should be terminated in
one core node.Because the linear protection should be executed end to
end,the core node will take heavy load to handle OAM messages and
Protection switching.

SMP is a very good solution to share the resources and improve the network
reliability. My understanding is that shared ring protection is a special
case of SMP for ring specifically. It is more easy to implement and able to
reduce
the complexity of protection configuration and operation in ring topology.

B.R.
Weiqiang Cheng

2014-07-09 19:10 GMT+08:00 Dongjie (Jimmy) <[email-masked]>:

> Since we have Linear Protection (PSC) and the work being done on Shared
> Mesh Protection, do we need dedicated protection solution for ring topology?
>
>
>
> Best regards,
>
> Jie
>
>
>
> *From:* mpls [mailto:[email-masked]] *On Behalf Of *weiqiang cheng
> *Sent:* Wednesday, July 09, 2014 6:41 PM
> *To:* [email-masked]
> *Cc:* [email-masked]
> *Subject:* [mpls] [MPLS] Any comments on the draft of MPLS-TP Shared-Ring

---

From: Loa Andersson <[email-masked]>
Date: Thu, 10 Jul 2014 14:30:45 +0200

Weiqiang Cheng, Authors,

Sections 5.2. and 5.2.6.1 of RFC 5654 discusses protection in specific
topologies in general and in ring topologies. There quite a number of
specific requirements, but I think that a very high-level summary would
be: "In the case it is beneficial in the operational situation to have
a solution for a specific topology and that solution does not create
drawbacks for the general MPLS protection mechanisms, such a solution
may be specified and deployed."

/Loa

On 2014-07-10 06:57, weiqiang cheng wrote:
> such as mobile backhaul,a large number of services should be terminated
> in one core node.Because the linear protection should be executed end to
> SMP is a very good solution to share the resources and improve the
> network reliability. My understanding is that shared ring protection is
> a special case of SMP for ring specifically. It is more easy to
> implement and able to reduce
> 2014-07-09 19:10 GMT+08:00 Dongjie (Jimmy) <[email-masked]
> <mailto:[email-masked]>>:
>
>     Dear authors, ____
>
>     __ __
>
>     I have one quick comment on this draft: ____
>
>     __ __
>
>     Since we have Linear Protection (PSC) and the work being done on
>     Shared Mesh Protection, do we need dedicated protection solution for
>     ring topology?____
>
>     __ __
>
>     Best regards,____
>
>     Jie____
>
>     __ __
>
>     *From:*mpls [mailto:[email-masked]
>     <mailto:[email-masked]>] *On Behalf Of *weiqiang cheng
>     *To:* [email-masked] <mailto:[email-masked]>
>     *Subject:* [mpls] [MPLS] Any comments on the draft of MPLS-TP
>     Shared-Ring protection (MSRP) mechanism for ring topology” ?____
>
>     __ __
>
>     Hi There,____
>
>     We uploaded the new version draft “MPLS-TP Shared-Ring protection (MSRP) mechanism for ring topology”____
>
>     https://datatracker.ietf.org/doc/draft-cheng-mpls-tp-shared-ring-protection/____
>
>     We authors would like to see comments on this draft. Please help to review it and It would be highly appreciated to send your comments on the mailing list.____
>
>       ____
>
>     Thanks,____
>
>     Weiqiang Cheng____
>
>
>
>

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert                          [email-masked]
Huawei Technologies (consultant)     phone: +46 739 81 21 64

---

From: weiqiang cheng <[email-masked]>
Date: Fri, 11 Jul 2014 11:23:57 +0800

Hi Loa,
Thank you very much for your information.
Ring typologies is an economical solution for operators' network,and it can
provide double physical routes with minimum number of fibers or Microwave
links.

So lots of operators access and metro networks are constructed by rings. A
specific solution for Ring topology is very valuable.

Such as China Mobile, more than 85% fiber networks are using ring topology.
Till now, more than 600,000 MPLS-TP based Packet transport network nodes
deployed, and most of them are constructed with ring typology. From 2013
years, China mobile began to deploy the Ring Protection solutions as the
draft described, now more than 5,000 Nodes have already finished upgrading.
The result shows that the networks reliability improved and the operation
efficiency also are increased.

B.R.
Weiqiang Cheng

2014-07-10 20:30 GMT+08:00 Loa Andersson <[email-masked]>:

>> (MSRP) mechanism for ring topology”____
>>
>> review it and It would be highly appreciated to send your comments on the
>> mailing list.____
>>
>>       ____
>>
>>     Thanks,____
>>
>>     Weiqiang Cheng____
>>
>>
>>
>>
>>

---

From: [email-masked]
Date: Fri, 11 Jul 2014 14:51:51 +0800

hi, weiqiang
I have just reviewed this draft and a question for clause 3 coordination 
protocol
 it seem to have two types protocol , one is RPS protocol in clause 3.1. 
another is APS protocol in clause 3.2.
 is it necessary to use the two types of protocol in the mpls-tp ring 
protection? 
 I think the answer is "no". how about it？

thank you !

B.R.
liu

weiqiang cheng <[email-masked]> 
发件人:  "mpls" <[email-masked]>
2014-07-09 18:41

收件人
"[email-masked]" <[email-masked]>, 
抄送
"[email-masked]" 
<[email-masked]>
主题
[mpls] [MPLS] Any comments on the draft of MPLS-TP Shared-Ring protection 
(MSRP) mechanism for ring topology” ?

Hi There,
We uploaded the new version draft “MPLS-TP Shared-Ring protection (MSRP) 
mechanism for ring topology”
https://datatracker.ietf.org/doc/draft-cheng-mpls-tp-shared-ring-protection/
We authors would like to see comments on this draft. Please help to review 
it and It would be highly appreciated to send your comments on the mailing 
list.
 
Thanks,
Weiqiang Cheng_______________________________________________
mpls mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls

--------------------------------------------------------
ZTE Information Security Notice: The information contained in this mail (and any attachment transmitted herewith) is privileged and confidential and is intended for the exclusive use of the addressee(s).  If you are not an intended recipient, any disclosure, reproduction, distribution or other dissemination or use of the information contained is strictly prohibited.  If you have received this mail in error, please delete it and notify us immediately.
--------------------------------------------------------
ZTE Information Security Notice: The information contained in this mail (and any attachment transmitted herewith) is privileged and confidential and is intended for the exclusive use of the addressee(s).  If you are not an intended recipient, any disclosure, reproduction, distribution or other dissemination or use of the information contained is strictly prohibited.  If you have received this mail in error, please delete it and notify us immediately.

---

From: weiqiang cheng <[email-masked]>
Date: Fri, 11 Jul 2014 17:03:58 +0800

Hi Guoman,

The "APS" should be "RPS" Ring Protection Switching, and It is a clerical
error. So sorry to make you confused. We will modify it in late version.
Thanks a lot.

B.R.
Weiqiang Cheng

2014-07-11 14:51 GMT+08:00 <[email-masked]>:

>  *weiqiang cheng <[email-masked] <[email-masked]>>*
> "[email-masked]" <
> [email-masked]>
> 主题
> *https://datatracker.ietf.org/doc/draft-cheng-mpls-tp-shared-ring-protection/*
> <https://datatracker.ietf.org/doc/draft-cheng-mpls-tp-shared-ring-protection/>

---

From: Loa Andersson <[email-masked]>
Date: Fri, 11 Jul 2014 13:20:36 +0200

Weiqiang,

RFC 7271 took great care to make the PSC and APS identical from an
operational point of view; does this mean that PSC (RFC 7271) could
be used also?

/Loa

On 2014-07-11 11:03, weiqiang cheng wrote:
> Hi Guoman,
>
> The "APS" should be "RPS" Ring Protection Switching, and It is
> a clerical error. So sorry to make you confused. We will modify it in
> late version.
> Thanks a lot.
>
> B.R.
> Weiqiang Cheng
>
>
> 2014-07-11 14:51 GMT+08:00 <[email-masked]
> <mailto:[email-masked]>>:
>
>     hi, weiqiang
>     I have just reviewed this draft and a question for clause 3
>     coordination protocol
>       it seem to have two types protocol , one is RPS protocol in clause
>     3.1. another is APS protocol in clause 3.2.
>       is it necessary to use the two types of protocol in the mpls-tp
>     ring protection?
>     *weiqiang cheng <[email-masked] <mailto:[email-masked]>>*
>     发件人:  "mpls" <[email-masked] <mailto:[email-masked]>>
>
>     2014-07-09 18:41
>
>     	
>     收件人
>     	"[email-masked] <mailto:[email-masked]>" <[email-masked]
>     <mailto:[email-masked]>>,
>     抄送
>     	"[email-masked]
>     <mailto:[email-masked]>"
>     <[email-masked]
>     <mailto:[email-masked]>>
>     主题
>     	[mpls] [MPLS] Any comments on the draft of MPLS-TP Shared-Ring
>     _https://datatracker.ietf.org/doc/draft-cheng-mpls-tp-shared-ring-protection/_
>
>     review it and It would be highly appreciated to send your comments
>     on the mailing list.
>
>     Thanks,
>     [email-masked] <mailto:[email-masked]>

--

---

From: 曾峻波 <[email-masked]>
Date: Mon, 14 Jul 2014 17:42:58 +0800

Date: Wed, 9 Jul 2014 20:04:13 +0800
Subject: Re: [mpls] [MPLS] Any comments on the draft of MPLS-TP Shared-Ring protection (MSRP) mechanism for ring topology” ?
From: [email-masked]
To: [email-masked]
CC: [email-masked]; [email-masked]

HI Bobo,

[WQ]: In Normal wrapping, protection switching executes at both nodes neighbored failure respectively,so the  traffic will be wrapped twice. For Short wrapping protection, switching only executes at up-stream node which neighbored to failure,the destination node will extract the flow from the protection ring directly.This scheme can optimize latency and bandwidth.

[WQ]: As I know G.8132 is a draft in ITU-T and ITU-T seams no release plan for it now. The principle is similar. But this draft's ring construction is totally different from G.8132.

[WQ]: Yes, Node C and Node D should sync the forwarding information of LSPs that traverse the interconnected rings, so that both interconnection nodes can terminate the source ring runnel and forward it to the correct destination ring tunnel in interconnected ring.

B.R.Weiqiang Cheng

hi,Weiqiang Cheng

Best Regards! 
BoBo

---

From: Huub van Helvoort <[email-masked]>
Date: Mon, 14 Jul 2014 13:36:13 +0200

Hello Loa,

> operational point of view; does this mean that PSC (RFC 7271) could

For an operator the operational functions (lockout, forced switch, 
manual switch exercise, clear) are compatible with PSC/APS.

However:
One difference with PSC/APS is the PDU format: for ring protection
a source and destination address are required.
The other difference is the forwarding and processing of the RPS
PDUs in each node in the ring. RPS messages are send clockwise
around the ring, AND RPS messages are send counter-clockwise
around the ring.

Because of these differences we use RPS because this is dedicated
to Ring protection (it requires a A-Ch channel type different from
PSC).

Best regards, Huub.

---

From: Loa Andersson <[email-masked]>
Date: Mon, 14 Jul 2014 13:40:10 +0200

Huub,

Are you saying that this can't be done using PSC? Or just that there is
a preference using RPS. Or that RPS is what you used?

/Loa

--

---

From: Huub van Helvoort <[email-masked]>
Date: Mon, 14 Jul 2014 14:10:26 +0200

Hello Loa,

You reply:

> Are you saying that this can't be done using PSC?

That is indeed the case.
In PSC the two end nodes A and Z communicate with each-other,
there is no need to identify them in the PSC PDU.
In RPS a node has to communicate with its adjacent node which
has to be identified (in the RPS PDU).

> Or just that there is a preference using RPS.

The draft explains why we need a dedicated ring protection
mechanism.

> Or that RPS is what you used?

Yes, RPS is used already.

Best regards, Huub.

---

From: weiqiang cheng <[email-masked]>
Date: Tue, 15 Jul 2014 16:03:51 +0800

Hi Bobo,

Thank you very much for your comments and suggestions. My answers are in
line:

1.according to this draft, there are some dedicated RING TUNNELs used for
'dual-node interconnected rings'. such as the R1cW_F&A, R1aW_F&A, R1cP_F&A,
R1aP_F&A and so on,and there are a virtual interconnecting node group
composed by node A and node F(in figure 12).

    a)how to map the virtual interconnecting node to real node. for RING1,
the two direction RING TUNNELS,R1cW_F&A,R1aW_F&A,which one will be
terminated at node A, and which one will be terminated  at node F. what is
the rule?

  [WQ]  As 2.5.2.1.mentioned, " - When the service traffic passes through
the interconnection node, the direction of the working ring tunnels in each
ring for this

   service traffic should be the same.  For example, if the working ring
tunnel follows the clockwise direction in Ring1, the working ring

   tunnel for the same service traffic in Ring2 also follows the clockwise
direction when the service leaves Ring1 and enters Ring2." If you follow
the rule,following mechanism will be executed:

      * In normal state: Ring tunnel to interconnected node group will be
terminated at the first interconnected node.

      * If the first interconnected node failure, the traffic will be
switched to protection ring tunnel and terminated in another interconnected
node.

    b)in figure 12, node F, i suppose there should be 4 choices when the
R2cW_FandA reach F.

       1st,when everything is ok, node F should terminate the
R2cW_FandA,and enter R2cW_I.

       2nd,when link between F and G is fail. node F should terminate the
R2cW_FandA,and enter R2aP_I.

       3rd, when link between F and G is fail,and the link between F and A
is fail too in RING 2. node F should not terminate the R2cW_FandA,and
stitch R2cW_FandA to node A.

       4th, when link between F and G is fail, and the links between F and
A are fail too in RING 2 and RING 1.node F should not terminate the
R2cW_FandA,and switch R2cW_FandA to R2cP_FandA,and terminate the RING
TUNNEL at node A.

       i wonder that is the all possibility? and the principle is the path
that cross ring take the higher precedence?

   [WQ] I think you have list all conditions. One comment for 3rd item:

        When link between F and G is fail,and the link between F and A is
fail too in RING 2. node F should not terminate the R1cW_FandA,and switch
R1cW_FandA to R1aP_FandA, and terminated the protection ring tunnel at Node
A.

2. in the section 5.2.2,P18, it seem the two figure 11 should be figure 12.

   [WQ] Yes，it is a clerical error. We will correct it in next version;

3.

in the figure 12,between the F and E,there should be a connection that is
part

of the R1aP_F&A and should mark with 'a'?

   [WQ] YES，the protected Ring tunnel is a closed ring. If dest node in
ring 2 is not reachedble, traffic will switched to the protection ring
tunnel in Node F.

B.R.

Weiqiang Cheng

*From:* 曾峻波 [mailto:[email-masked]]
*Sent:* Tuesday, July 15, 2014 8:38 AM
*To:* weiqiang cheng
*Cc:* [email-masked];
[email-masked]
*Subject:* RE: [mpls] [MPLS] Any comments on the draft of MPLS-TP
Shared-Ring protection (MSRP) mechanism for ring topology” ?

hi Weiqiang,
       please help me to clarify some doubts.
       1.according to this draft, there are some dedicated RING TUNNELs
used for  'dual-node interconnected rings'. such as the R1cW_F&A, R1aW_F&A,
R1cP_F&A, R1aP_F&A and so on,and there are a virtual interconnecting node
group composed by node A and node F(in figure 12).
           a)how to map the virtual interconnecting node to real node. for
RING1, the two direction RING TUNNELS,R1cW_F&A,R1aW_F&A,which one will be
terminated at node A, and which one will be terminated  at node F. what is
the rule?
           b)in figure 12, node F, i suppose there should be 4 choices when
the R2cW_FandA reach F.
              1st,when everything is ok, node F should terminate the
R2cW_FandA,and enter R2cW_I.
              2nd,when link between F and G is fail. node F should
terminate the R2cW_FandA,and enter R2aP_I.
              3rd, when link between F and G is fail,and the link between F
and A is fail too in RING 2. node F should not terminate the R2cW_FandA,and
stitch R2cW_FandA to node A.
              4th, when link between F and G is fail, and the links between
F and A are fail too in RING 2 and RING 1.node F should not terminate the
R2cW_FandA,and switch R2cW_FandA to R2cP_FandA,and terminate the RING
TUNNEL at node A.
              i wonder that is the all possibility? and the principle is
the path that cross ring take the higher precedence?

       2. in the section 5.2.2,P18, it seem the two figure 11 should be
figure 12.
       3. in the figure 12,between the F and E,there should be a connection
that is part of the R1aP_F&A and should mark with 'a'?

         Best Regards!
         Bobo